require 'test_helper'

class PagesControllerTest < ActionController::TestCase
  setup do
    @page = pages(:one)
  end

  test 'should get index' do
    get :index
    assert_response :success
    assert_not_nil assigns(:pages)
  end

  test 'should do not get index' do
    account = accounts(:two)
    assert_nil account.administrator
    sign_in account
    get :index
    assert_redirected_to root_url
  end

  test 'should get new' do
    get :new
    assert_response :success
  end

  test 'should create page' do
    assert_difference('Page.count') do
      post :create, page: { body: @page.body, description: @page.description, enabled: @page.enabled,
          keywords: @page.keywords, link: @page.link, mode: @page.mode, url_id: 'test',
          position: @page.position, title: 'New page' }
    end

    assert_redirected_to page_path(assigns(:page))
  end

  test 'should show page' do
    get :show, id: @page
    assert_response :success
  end

  test 'should get edit' do
    get :edit, id: @page
    assert_response :success
  end

  test 'should update page' do
    patch :update, id: @page, page: { body: @page.body, description: @page.description, enabled: @page.enabled,
            keywords: @page.keywords, link: @page.link, mode: @page.mode, title: 'Existing page' }
    assert_redirected_to page_path(assigns(:page))
  end

  test 'should destroy page' do
    assert_difference('Page.count', -1) do
      delete :destroy, id: @page
    end

    assert_redirected_to pages_path
  end
end
